Subject: Re: bug#54493: 27.2; image-convert :data broken

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 17:35:07 +0100

[email-masked] writes:

> I tried to view non-native image files.
> I need not only to set variables, but also to modify a function.
> The externally converted data is broken by automatic code-conversion.

I can reproduce this in Emacs 27.2, but not on the trunk, so it looks
like this has been fixed.  Here's my test case:

(insert-image
 (create-image
  (with-temp-buffer
    (set-buffer-multibyte nil)
    (insert-file-contents "/home/larsi/src/WebKit/LayoutTests/fast/css/resources/bikes.bmp")
    (buffer-string))
  nil t :format 'image/bmp))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no